Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030035
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSminoralways2015-05-27 16:022015-06-22 12:53
ReportermarvintmView Statuspublic 
Assigned Toaaroncalero 
PriorityurgentResolutionfixedFixed in VersionRR15Q1.5
StatusclosedFix in branchFixed in SCM revisione0e061b75b21
ProjectionnoneETAnoneTarget VersionRR15Q1.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030035: Pay button is enabled in the Receipt discounts tab, and allows the user to enter a wrong state in the Web POS

DescriptionWhen the Receipt discounts tab is enabled, all the buttons in the toolbar should be disabled, to force the user to either apply a discount, or close the tab. However, the Pay button is enabled, so the user can mistakenly enter a wrong state, in which most of the Web POS is disabled, so the user becomes stuck and the only option is to refresh the window.
Steps To Reproduce- Log in the Web POS
- Add some products to the ticket
- Go to Receipt Discounts option in the menu
- Realize that the Pay (total) button is enabled. This is not correct.
- Click on the Pay button. Realize that you are now in an incorrect state, the menu is disabled, and you basically can only pay, but if you do you are still in this incorrect state, and the only solution is to refresh the page.
Proposed Solution- The Pay button should be disabled in the Receipt discounts tab, like it was in 2014Q3 release.
TagsApproved
Attached Files? file icon Issue30035.export [^] (1,146 bytes) 2015-05-29 13:43

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030032RR15Q3 closedaaroncalero Pay button is enabled in the Receipt discounts tab, and allows the user to enter a wrong state in the Web POS 

-  Notes
(0077894)
aaroncalero (developer)
2015-05-29 13:44

Uploaded .export file with the fix. It will be pushed if/when the backport is approved.
(0077898)
dmitry_mezentsev (developer)
2015-05-29 13:55

http://wiki.openbravo.com/wiki/Bug_Reporting_Guidelines#How_to_Choose_the_Right_Severity [^]
(0077899)
hgbot (developer)
2015-05-29 14:03

Repository: retail/backports/3.0RR15Q1.5/org.openbravo.retail.posterminal
Changeset: e0e061b75b21efc50f769a07aa2620748f6e93eb
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Fri May 29 13:37:42 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q1.5/org.openbravo.retail.posterminal/rev/e0e061b75b21efc50f769a07aa2620748f6e93eb [^]

Fixed issue 30035: Pay button is enabled in the Receipt discounts tab

Take into account the isEnabled attribute of the button when changing its status

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0078412)
malsasua (developer)
2015-06-22 12:53

verified

- Issue History
Date Modified Username Field Change
2015-05-28 01:02 marvintm Type defect => backport
2015-05-28 01:02 marvintm Target Version RR15Q3 => RR15Q1.5
2015-05-29 13:43 aaroncalero File Added: Issue30035.export
2015-05-29 13:44 aaroncalero Note Added: 0077894
2015-05-29 13:55 dmitry_mezentsev Note Added: 0077898
2015-05-29 13:55 dmitry_mezentsev Severity major => minor
2015-05-29 13:56 dmitry_mezentsev Tag Attached: Approved
2015-05-29 14:03 hgbot Checkin
2015-05-29 14:03 hgbot Note Added: 0077899
2015-05-29 14:03 hgbot Status scheduled => resolved
2015-05-29 14:03 hgbot Resolution open => fixed
2015-05-29 14:03 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR15Q1.5/org.openbravo.retail.posterminal/rev/e0e061b75b21efc50f769a07aa2620748f6e93eb [^]
2015-06-22 12:53 malsasua Review Assigned To => malsasua
2015-06-22 12:53 malsasua Note Added: 0078412
2015-06-22 12:53 malsasua Status resolved => closed
2015-06-22 12:53 malsasua Fixed in Version => RR15Q1.5


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker